###########################################################################
#
# This program is part of Zenoss Core, an open source monitoring platform.
# Copyright (C) 2008, Zenoss Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 or (at your
# option) any later version as published by the Free Software Foundation.
#
# For complete information please visit: http://www.zenoss.com/oss/
#
###########################################################################

"""
Custom ZenPack initialization code. All code defined in thsi module will be
executed at startup time in all Zope clients.
"""

import logging
log = logging.getLogger('zen.Memcached')

import os

import Globals

from Products.ZenModel.ZenPack import ZenPackBase
from Products.ZenUtils.Utils import zenPath, unused

unused(Globals)


class ZenPack(ZenPackBase):
    """
    Loader for ZenPacks.zenoss.Memcached.
    """

    def install(self, app):
        super(ZenPack, self).install(app)
        self.symlinkPlugin()

    def remove(self, app, leaveObjects=False):
        if not leaveObjects:
            self.removePluginSymlink()

        super(ZenPack, self).remove(app, leaveObjects=leaveObjects)

    def symlinkPlugin(self):
        os.system('ln -sf %s/check_memcached.py %s/' %
            (self.path('libexec'), zenPath('libexec')))

    def removePluginSymlink(self):
        os.system('rm -f %s/check_memcached.py' % (zenPath('libexec')))
